<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Log".
 *
 * Columns in table "log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $action
 * @property string $start
 * @property string $end
 * @property string $remote_address
 * @property string $partner_name
 * @property string $partner_site_name
 *
 */
abstract class BaseLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Log|Logs', $n);
    }

    public static function representingColumn()
    {
        return 'action';
    }

    public function rules()
    {
        return array(
            array('action, start, remote_address, partner_name', 'required'),
            array('action', 'length', 'max' => 255),
            array('remote_address, partner_name, partner_site_name', 'length', 'max' => 45),
            array('end', 'safe'),
            array('end, partner_site_name', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, action, start, end, remote_address, partner_name, partner_site_name', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'action' => Yii::t('app', 'Action'),
            'start' => Yii::t('app', 'Start'),
            'end' => Yii::t('app', 'End'),
            'remote_address' => Yii::t('app', 'Remote Address'),
            'partner_name' => Yii::t('app', 'Partner Name'),
            'partner_site_name' => Yii::t('app', 'Partner Site Name'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('action', $this->action, true);
        $criteria->compare('start', $this->start, true);
        $criteria->compare('end', $this->end, true);
        $criteria->compare('remote_address', $this->remote_address, true);
        $criteria->compare('partner_name', $this->partner_name, true);
        $criteria->compare('partner_site_name', $this->partner_site_name, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
